Skip to main content
GET
/
ridership
/
accounts
/
{id}
[beta] Get a ridership account.
curl --request GET \
  --url https://api.samsara.com/ridership/accounts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "createdAtTime": "2024-11-15T10:00:00Z",
    "id": "e4b2c3a5-7d6f-4e8b-9a0c-1b2d3e4f5a6b",
    "name": "Springfield Public Schools",
    "updatedAtTime": "2024-11-15T10:30:00Z",
    "externalIds": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the ridership account. This can either be the Samsara-specified UUID, or an external ID. External IDs are customer-specified key-value pairs. To specify an external ID, use the following format: key:value. For example, district:SPR-001.

Query Parameters

includeExternalIds
boolean

Optional boolean indicating whether to return external IDs on supported entities

Response

OK response.

data
object
required

A ridership account entity.